"""Utility functions for spectroscopic data."""

# AUTOGENERATED! DO NOT EDIT! File to edit: ../nbs/02.utils.ipynb.

# %% auto 0
__all__ = ['toy_mir_url', 'load_toy_mir']

# %% ../nbs/02.utils.ipynb 3
toy_mir_url = 'https://gist.githubusercontent.com/franckalbinet/a7476d0413e88bcc162c553e43f182fa/raw/a45dc573eec558b019909bdd1830fbb207511fcb/mir-spectra-sample.csv'

# %% ../nbs/02.utils.ipynb 4
import pandas as pd

# %% ../nbs/02.utils.ipynb 5
def load_toy_mir():
    """Load the toy MIR dataset."""
    df_mir = pd.read_csv(toy_mir_url)
    ws = df_mir.columns.astype(int).to_numpy()
    X = df_mir.values
    return X, ws
